OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MultiResGrid< TreeType >::ProlongateOp Struct Reference

`#include <openvdb/tools/MultiResGrid.h>`

## Static Public Member Functions
static ValueType | run (const Coord &ijk, const ConstAccessor &acc)
| Interpolate values from a coarse grid (acc) into the index space (ijk) of a fine grid.

## Member Function Documentation

## ◆ run()

template<typename TreeType >

static ValueType run | ( | const Coord & | ijk,
|  | const ConstAccessor & | acc )
| inline static

Interpolate values from a coarse grid (acc) into the index space (ijk) of a fine grid.

Parameters

  ijk | Coordinate location on the fine tree
  acc | ValueAccessor to the coarse tree